Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.jdbc.common
Interface JdbcServicesDef

public interface JdbcServicesDef

Interface for JdbcT3 services. T3Clients get access to these services through the T3ClientServices class in weblogic.common.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `resetPool(java.lang.String poolName)` Resets the named database ConnectionPool by shutting down and reestablishing all the allocated connections.
`void` | `shrinkPool(java.lang.String poolName)` Shrinks the named database ConnectionPool to the max of the currently reserved connections of the initial size.

Method Detail

### resetPool

    public void resetPool(java.lang.String poolName)
                   throws java.lang.Exception

  Resets the named database ConnectionPool by shutting down and reestablishing all the allocated connections. This method should only be called when the connection pool is known to be in a bad state, such as after the database has gone down and been brought back up.

  This is a privileged method, and can only be invoked on a T3Client that has specified a T3User of "system" and supplies the system password.

  Parameters:
    `poolName` - Name of the pool to reset
  Throws:
    java.lang.Exception - if there is an error

### shrinkPool

    public void shrinkPool(java.lang.String poolName)
                    throws java.lang.Exception

  Shrinks the named database ConnectionPool to the max of the currently reserved connections of the initial size.

  This is a privileged method, and can only be invoked on a T3Client that has specified a T3User of "system" and supplies the system password.

  Parameters:
    `poolName` - Name of the pool to reset
  Throws:
    java.lang.Exception - if there is an error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD